Bug 229696 - Listen don't play
Listen don't play
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: listen (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-22 15:08 EST by Nicolas A. Corrarello
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-01 17:30:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sysreport (649.85 KB, application/x-bzip)
2007-02-22 15:15 EST, Nicolas A. Corrarello
no flags Details

  None (edit)
Description Nicolas A. Corrarello 2007-02-22 15:08:39 EST
Description of problem:

Listen was working perfectly, but one day it did not play anymore
Version-Release number of selected component (if applicable):

listen-0.5-11.beta1.fc6


How reproducible:
Dont' know 

Steps to Reproduce:
1.Press Play
2.
3.
  
Actual results:
It don't play

Expected results:

Listen music
Additional info:
Strace:
[ncorrare@edgar ~]$ strace listen
execve("/usr/bin/listen", ["listen"], [/* 39 vars */]) = 0
brk(0)                                  = 0x95b3000
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7f49000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=69176, ...}) = 0
mmap2(NULL, 69176, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7f38000
close(3)                                = 0
open("/lib/libtermcap.so.2", O_RDONLY)  = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260k\25"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=13276, ...}) = 0
mmap2(0x4156000, 14760, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x4156000
mmap2(0x4159000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2) = 0x4159000
close(3)                                = 0
open("/lib/libdl.so.2", O_RDONLY)       = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000\253"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=16528, ...}) = 0
mmap2(0xc9a000, 12408, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0xc9a000
mmap2(0xc9c000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE,
3, 0x1) = 0xc9c000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p\200\264"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1576920, ...}) = 0
mmap2(0xb32000, 1295780, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0xb32000
mmap2(0xc69000, 12288, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x137) = 0xc69000
mmap2(0xc6c000, 9636, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS,
-1, 0) = 0xc6c000
close(3)                                = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7f37000
set_thread_area({entry_number:-1 -> 6, base_addr:0xb7f378d0, limit:1048575,
seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0,
useable:1}) = 0
mprotect(0xc9c000, 4096, PROT_READ)     = 0
mprotect(0xc69000, 8192, PROT_READ)     = 0
mprotect(0xb2e000, 4096, PROT_READ)     = 0
munmap(0xb7f38000, 69176)               = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/dev/tty", O_RDWR|O_NONBLOCK|O_LARGEFILE) = 3
close(3)                                = 0
brk(0)                                  = 0x95b3000
brk(0x95d4000)                          = 0x95d4000
open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=55540128, ...}) = 0
mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7d37000
close(3)                                = 0
getuid32()                              = 500
getgid32()                              = 500
geteuid32()                             = 500
getegid32()                             = 500
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
time(NULL)                              = 1172173786
open("/proc/meminfo", O_RDONLY)         = 3
fstat64(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7f48000
read(3, "MemTotal:      1033416 kB\nMemFre"..., 1024) = 823
close(3)                                = 0
munmap(0xb7f48000, 4096)                = 0
rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigaction(SIGQUIT, {SIG_IGN}, {SIG_DFL}, 8) = 0
uname({sys="Linux", node="edgar.usersys.redhat.com", ...}) = 0
stat64("/home/ncorrare", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
stat64(".", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
getpid()                                = 8280
open("/usr/lib/gconv/gconv-modules.cache", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=25460, ...}) = 0
mmap2(NULL, 25460, PROT_READ, MAP_SHARED, 3, 0) = 0xb7f42000
close(3)                                = 0
getppid()                               = 8279
getpgrp()                               = 8279
rt_sigaction(SIGCHLD, {0x8079d00, [], 0}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/usr/bin/listen", O_RDONLY|O_LARGEFILE) = 3
ioctl(3, SNDCTL_TMR_TIMEBASE or TCGETS, 0xbf9f66c8) = -1 ENOTTY (Inappropriate
ioctl for device)
_llseek(3, 0, [0], SEEK_CUR)            = 0
read(3, "#!/bin/sh\n\nLD_LIBRARY_PATH= /usr"..., 80) = 59
_llseek(3, 0, [0], SEEK_SET)            = 0
getrlimit(RLIMIT_NOFILE, {rlim_cur=1024, rlim_max=1024}) = 0
dup2(3, 255)                            = 255
close(3)                                = 0
fcntl64(255, F_SETFD, FD_CLOEXEC)       = 0
fcntl64(255, F_GETFL)                   = 0x8000 (flags O_RDONLY|O_LARGEFILE)
fstat64(255, {st_mode=S_IFREG|0755, st_size=59, ...}) = 0
_llseek(255, 0, [0], SEEK_CUR)          = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "#!/bin/sh\n\nLD_LIBRARY_PATH= /usr"..., 59) = 59
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0xb7f37918) = 8281
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x807a8c0, [], 0}, {SIG_DFL}, 8) = 0
waitpid(-1, /usr/lib/python2.4/site-packages/mutagen/m4a.py:40:
DeprecationWarning: mutagen.m4a is deprecated; use mutagen.mp4 instead.
  warnings.warn(
No Notify support
459 songs and 4 playlists loaded
459  in pl  Master
0  in pl  Podcast
0  in pl  iRadio
14  in pl  Best Of Jamiroquai
load took 151.776ms
start monitoring
Update Context
PLAY:  {'album': u'Comfort y M\xfasica Para Volar: M', 'sort_key_album':
u'comfort y m\xfasica para volar: m', '#lastplayed': 1171852590, 'artist':
u'Soda Stereo', '#playcount': 5, '#mtime': 1170687617, 'title': u'Un Misil en Mi
Placard', 'tagged': True, 'uri':
'file:///home/ncorrare/Music/(1996)%20Comfort%20y%20musica%20para%20volar/Un%20misil%20en%20mi%20placard.mp3',
'sort_key_title': u'un misil en mi placard', '#track': 2, 'path':
'/home/ncorrare/Music/(1996) Comfort y musica para volar/Un misil en mi
placard.mp3', '#duration': 275000, '#ctime': 1170687627, 'sort_key_artist':
u'soda stereo', '#bitrate': 128000, '##song_type##': 0}
Update LastFM
Update Lyrics
Update Wikipedia
D:WikiBox:open http://en.wikipedia.org/wiki/Special:Search/soda%20stereo
Update CurrentInfo
Update Context
Exception in thread Thread-5:
Traceback (most recent call last):
  File "/usr/lib/python2.4/threading.py", line 442, in __bootstrap
    self.run()
  File "/usr/lib/python2.4/threading.py", line 422, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/listen/widget/webinfo.py", line 761, in thread
   
list_btn.append(self.make_btn_lastfm(item["name"],item["url"],item["match"],_("Score")+"
: "+item["match"],item["image_small"]))
  File "/usr/lib/listen/widget/webinfo.py", line 812, in make_btn_lastfm
    sock = urllib.urlopen(image_url)
  File "/usr/lib/python2.4/urllib.py", line 82, in urlopen
    return opener.open(url)
  File "/usr/lib/python2.4/urllib.py", line 190, in open
    return getattr(self, name)(url)
  File "/usr/lib/python2.4/urllib.py", line 297, in open_http
    if not host: raise IOError, ('http error', 'no host given')
IOError: [Errno http error] no host given
Comment 1 Nicolas A. Corrarello 2007-02-22 15:15:06 EST
Created attachment 148617 [details]
sysreport
Comment 2 Nicolas A. Corrarello 2007-02-22 16:18:39 EST
When I disabled the visualization it started working, maybe related to using the
propietary ATI Drivers?

Note You need to log in before you can comment on or make changes to this bug.